classification
Title: Clarify __debug__ restrictions
Type: behavior Stage:
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: barry Nosy List: barry, georg.brandl
Priority: normal Keywords:

Created on 2010-07-31 17:07 by barry, last changed 2010-08-02 19:40 by georg.brandl. This issue is now closed.

Messages (2)
msg112167 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2010-07-31 17:07
On http://docs.python.org/library/constants.html?highlight=__debug__#__debug__

* Be more explicit that assigments to None and __debug__ are illegal even when
  used as attributes.  IOW it's not just assignment to the built-in names that
  are illegal.

* Add a "Changed in 2.7" to __debug__ stating that assignments to __debug__ as
  an attribute became illegal.

Add this to the NEWS and What's New files for 2.7.

(Also double check for Python 3.2)
msg112525 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-08-02 19:40
Fixed in r83552.
History
Date User Action Args
2010-08-02 19:40:26georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg112525

resolution: fixed
2010-08-02 19:33:10georg.brandlunlinkissue9451 dependencies
2010-08-01 23:02:18eric.araujolinkissue9451 dependencies
2010-07-31 17:07:45barrycreate